using Model;

namespace Linaris;

public partial class AlbumPage : ContentPage
{
	private Album album;

	public Album Album
	{
		get => album;
		set
		{
			album = value;
		}
	}

    public AlbumPage()
	{
		InitializeComponent();
        album = (Application.Current as App).Manager.CurrentAlbum;
        BindingContext = album;
	}

    private async void GoToInfoTitle(object sender, EventArgs e)
    {
        if (sender is Frame frame && frame.BindingContext is InfoTitle infoTitle)
        {
            (Application.Current as App).Manager.CurrentInfoTitle = infoTitle;
            await Navigation.PushAsync(new InfoTitlePage());
        }
    }
}