using Model;

namespace Linaris;

public partial class InfoTitlePage : ContentPage
{
	private InfoTitle infoTitle;

	public InfoTitle InfoTitle
	{
		get => infoTitle;
    }

    public Artist Artist
    {
        get => artist;
    }

    private Artist artist;

    public InfoTitlePage()
	{
		InitializeComponent();
        infoTitle = (Application.Current as App).Manager.CurrentInfoTitle;
        artist = (Application.Current as App).Manager.GetAlbumById(infoTitle.AlbumID).Artist;
        BindingContext = this;
    }
}